Conflicting versions of ASP.NET Web Pages detected: specified version is “1.0.0.0”, but the version in bin is “2.0.0.0”

This error appears after updating ASP.NET Web Helpers Library today to version 2.0 which was apparently released today. I updated by mistake, however would like to resolve this now, if possible.

Conflicting versions of ASP.NET Web Pages detected: specified version is “1.0.0.0”, but the version in bin is “2.0.0.0”. To continue, remove files from the application’s bin directory or remove the version specification in web.config.

Apparently this is the problem in web.config:

<add key="webpages:Version" value="1.0.0.0" />

Does anyone even have any information about this ASP.NET Web Helpers Library package 2.0? I was unable to find release notes. Nothing on Nuget site.

Answers:

Thank you for visiting the Q&A section on Magenaut. Please note that all the answers may not help you solve the issue immediately. So please treat them as advisements. If you found the post helpful (or not), leave a comment & I’ll get back to you as soon as possible.

Method 1

From Conflicting versions of ASP.NET Web Pages detected: You need to set webpages:Version appSettings with appropriate value. In your case it has to be 2.0.0.0

<appSettings>
    <add key="webpages:Version" value="2.0.0.0"/>
</appSettings>

Method 2

It seems to be something related to the new release (v.2.0) of the Microsoft.Web.Helpers, released on Jun/05/2012.

To avoid this problem, first I uninstalled the new version (v.2.0):

PM> Uninstall-Package microsoft-web-helpers

And adopted the following command to install the stable older version:

PM> Install-Package microsoft-web-helpers -Version 1.15

I believe (and wish) this is something that will be corrected (or officially commented) soon…

UPDATE

If by any reason you need the older System.Web.WebPages.dll (which in my case was overwritten by a new version and didn’t show up in the “Add Reference” box), it’s located on:

C:Program Files (x86)Microsoft ASP.NETASP.NET Web Pagesv1.0Assemblies

Method 3

You may refer to this question to get help

Could not determine which version of ASP.NET Web Pages to use

or you may read the instructions in the page

http://www.asp.net/mvc/overview/releases/how-to-upgrade-an-aspnet-mvc-4-and-web-api-project-to-aspnet-mvc-5-and-web-api-2


All methods was sourced from stackoverflow.com or stackexchange.com, is licensed under cc by-sa 2.5, cc by-sa 3.0 and cc by-sa 4.0

0 0 votes
Article Rating
Subscribe
Notify of
guest

0 Comments
Inline Feedbacks
View all comments
0
Would love your thoughts, please comment.x
()
x